* [-] interactive ray tracing
    * [x] introduction post
        * [x] introduce ray tracing as a topic
        * [x] little bitta history
        * [x] assert value of non-rtx ray tracing
        * [x] break down upcoming chapters, basically a table of contents

    * [-] what does ray tracing get us?
        * [ ] global illumination
        * [ ] real reflection, refraction
        * [-] smooth curves
        * [ ] camera artifacts
        * [-] esoteric modelling - relativistic rendering

    * [ ] technique fundamentals
        * [ ] introduce other resources
            * [ ] ray tracing in one weekend
            * [ ] unity gpu compute
            * [ ] dans opengl compute post
        * [ ] constraints for interactivity
            * [ ] 1spp
            * [ ] necessary invalidation of accumulated samples for example when the camera moves, or moving objects
        * [ ] anatomy of a trace: taking a sample from a scene
        * [ ] pinhole camera model
        * [ ] screen as view plane
        * [ ] constructing rays
        * [ ] camera jitter

    * [ ] optics
        * [ ] camera
            * [ ] aperture
            * [ ] focus
            * [ ] shutter
        * [ ] 

    * [ ] acceleration
        * [ ] constructing a g-buffer
        * [ ] depth importance sampling
        * [ ] linearly blending frames 

    * [ ] relativistic ray tracing
        * [ ] c-ship
        * [ ] model to describe aberration of light
        * [ ] doppler and searchlight effects
        * [ ] colour spaces
